RK-J - Feature #3226

Support for copilot_urls
09/26/2023 04:33 AM - Ram Kordale

Status: Closed Start date: 09/26/2023
Priority: Normal Due date: 10/03/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 11.50 hours
Description

On some sites, we may want our copilot to show up only on a subset of pages. In order to accomplish this, please enable support for:
In 1.txt, there could be a new copilot_urls line after "aliases" line. example:
#%&copilot_urls:["https://scikit-learn.org/stable/modules/classes", "https://scikit-learn.org/stable/modules/generated”,
"scikit-learn.org/*blog™"#%&

If this is present, do not show copilot on https://scikit-learn.org except for urls with the above two prefixes.

More examples: we should show copilot for the following URLs:
- http://scikit-learn.org/modulesblog/1/2/3
- https://scikit-learn.org/1/2/3/4blog5

Subtasks:

Feature # 3227: BE : Support for copilot_urls Closed
Task # 3228: Save the copilot_urls to datastore during ingestion Closed
Task # 3229: Return 'showCopilot' in the response of getPurpleLinksinfoExtFull API Closed

Feature # 3230: Extension & js snippet : Support for copilot_urls Closed

History

#1 - 09/28/2023 02:02 AM - Ram Kordale

- Description updated

#2 - 10/04/2023 06:56 AM - Ayush Khandelwal

- Status changed from New to Resolved

#3 - 10/10/2023 09:02 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#4 - 11/13/2023 08:33 AM - Ram Kordale
- Description updated
- Status changed from Feedback to Reopened

- Assignee changed from Venmuhilan B to Md Shahzar

#5 - 11/13/2023 08:35 AM - Ram Kordale

- Assignee changed from Md Shahzar to Venmuhilan B

#6 - 11/15/2023 09:55 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#7 - 11/15/2023 09:55 AM - Venmuhilan B
- Status changed from In Progress to Feedback

- Assignee changed from Venmuhilan B to Ram Kordale

#8 - 01/05/2024 02:55 AM - Ram Kordale

03/13/2025 12



https://scikit-learn.org
http://scikit-learn.org/modulesblog/1/2/3
https://scikit-learn.org/1/2/3/4blog5

- Status changed from Feedback to Closed
